Name:           athena-red-base
Version:        9.fc62750
Release:        1%{?dist}
Summary:        Red colorbase resources for Athena OS

License:        GPL-3.0-or-later
URL:            https://github.com/Athena-OS/athena-red-base
Source0:        https://github.com/Athena-OS/athena-red-base/archive/main/%{name}-main.tar.gz

BuildArch:      noarch

%description
This package provides red color-themed resources (icons and wallpapers) for Athena OS.
It includes wallpapers and GNOME-compatible background settings.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build

%install
# Install wallpapers
install -dm 755 %{buildroot}/usr/share/backgrounds/athena
install -Dm 644 wallpapers/akame.jpg %{buildroot}/usr/share/backgrounds/athena/
install -Dm 644 wallpapers/murasame.jpg %{buildroot}/usr/share/backgrounds/athena/
install -Dm 644 wallpapers/redmoon.png %{buildroot}/usr/share/backgrounds/athena/

# Install icons
install -dm 755 %{buildroot}/usr/share/%{name}/icons/apps
install -dm 755 %{buildroot}/usr/share/%{name}/icons/categories
cp -a icons/apps/* %{buildroot}/usr/share/%{name}/icons/apps/
cp -a icons/categories/* %{buildroot}/usr/share/%{name}/icons/categories/

# Install GNOME background property files
install -dm 755 %{buildroot}/usr/share/gnome-background-properties
install -Dm 644 gnome-background-properties/akame.xml %{buildroot}/usr/share/gnome-background-properties/
install -Dm 644 gnome-background-properties/murasame.xml %{buildroot}/usr/share/gnome-background-properties/
install -Dm 644 gnome-background-properties/redmoon.xml %{buildroot}/usr/share/gnome-background-properties/

%files
%license LICENSE
/usr/share/backgrounds/athena/*
/usr/share/%{name}
/usr/share/gnome-background-properties/*

%changelog
* Mon Apr 21 2025 02:45 Little Owl <littleowl@athenaos.org>
- Synced with upstream
